openSUSE Security Update : mariadb (openSUSE-2012-274)

Medium Nessus Plugin ID 74624

Synopsis

The remote openSUSE host is missing a security update.

Description

mariadb update to version 5.2.12 fixes several security issues and bugs. Please refer to the following upstream announcements for details :

http://kb.askmonty.org/v/mariadb-5212-release-notes http://kb.askmonty.org/v/mariadb-5211-release-notes http://kb.askmonty.org/v/mariadb-5210-release-notes

Solution

Update the affected mariadb packages.

See Also

https://mariadb.com/kb/en/library/mariadb-5210-release-notes/

https://mariadb.com/kb/en/library/mariadb-5211-release-notes/

https://mariadb.com/kb/en/library/mariadb-5212-release-notes/

https://bugzilla.novell.com/show_bug.cgi?id=675870

https://bugzilla.novell.com/show_bug.cgi?id=734436

https://bugzilla.novell.com/show_bug.cgi?id=742272

https://bugzilla.novell.com/show_bug.cgi?id=758460

Plugin Details

Severity: Medium

ID: 74624

File Name: openSUSE-2012-274.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2014/06/13

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libmariadbclient16, p-cpe:/a:novell:opensuse:libmariadbclient16-debuginfo, p-cpe:/a:novell:opensuse:libmariadbclient_r16, p-cpe:/a:novell:opensuse:libmariadbclient_r16-debuginfo, p-cpe:/a:novell:opensuse:mariadb, p-cpe:/a:novell:opensuse:mariadb-bench, p-cpe:/a:novell:opensuse:mariadb-bench-debuginfo, p-cpe:/a:novell:opensuse:mariadb-client, p-cpe:/a:novell:opensuse:mariadb-client-debuginfo, p-cpe:/a:novell:opensuse:mariadb-debug, p-cpe:/a:novell:opensuse:mariadb-debug-debuginfo, p-cpe:/a:novell:opensuse:mariadb-debuginfo, p-cpe:/a:novell:opensuse:mariadb-debugsource, p-cpe:/a:novell:opensuse:mariadb-test, p-cpe:/a:novell:opensuse:mariadb-test-debuginfo, p-cpe:/a:novell:opensuse:mariadb-tools, p-cpe:/a:novell:opensuse:mariadb-tools-debuginfo, cpe:/o:novell:opensuse:12.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2012/05/08

Vulnerability Publication Date: 2012/01/18

Reference Information

CVE: CVE-2011-2262, CVE-2012-0075, CVE-2012-0087, CVE-2012-0101, CVE-2012-0102, CVE-2012-0112, CVE-2012-0113, CVE-2012-0114, CVE-2012-0115, CVE-2012-0116, CVE-2012-0118, CVE-2012-0119, CVE-2012-0120, CVE-2012-0484, CVE-2012-0485, CVE-2012-0490, CVE-2012-0492, CVE-2012-0583, CVE-2012-1688, CVE-2012-1690, CVE-2012-1703